Is there an example posted somewhere using this command: Brep.CreateFilletEdges Method
Goal is to chamfer the edge of a polysurface.
Eric
Is there an example posted somewhere using this command: Brep.CreateFilletEdges Method
Goal is to chamfer the edge of a polysurface.
Eric
Hi @eric.bunn,
Attached example chamfers the lateral long brep edges:
import rhinoscriptsyntax as rs
import Rhino.Geometry as rg
import Rhino
tol = Rhino.RhinoDoc.ActiveDoc.ModelAbsoluteTolerance
BEI_L = [9,2,0,7] # brep edge index to chamfer
radius = 2
id = rs.GetObject("select brep", preselect=True)
brep = rs.coercegeometry(id)
blendType = Rhino.Geometry.BlendType.Chamfer
railType = rg.RailType.RollingBall
radiusStart_L = [float(radius) for k in range(BEI_L.Count)]
radiusEnd_L = [float(radius) for k in range(BEI_L.Count)]
brep_chamfer_L = rg.Brep.CreateFilletEdges(brep, BEI_L, radiusStart_L, radiusEnd_L, blendType, railType, tol)
brep_chamfer_id = Rhino.RhinoDoc.ActiveDoc.Objects.AddBrep( brep_chamfer_L[0] )
Thank you djordje. I’ll try this out.
Eric
djordje,
I attempted to run the example code and get the following error:
Message: attribute 'BlendType' of 'namespace#' object is read-only
Traceback:
line 14, in <module>, "C:\Temp\TempScript.py"
I created a simple rectangular solid and selected it at the prompt and it fails on line 14? Any ideas?
Eric
Djordje,
I figured out my problem. Only runs in Rhino 6. Thanks.
Eric